import { OnInit } from '@angular/core';
import { MatSelectChange } from '@angular/material';
import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';
import { MangolLayer } from '../../../../classes/Layer';
import { FeatureinfoDictionary } from '../../../../store/featureinfo/featureinfo.reducers';
import * as fromMangol from './../../../../store/mangol.reducers';
export declare class FeatureinfoSelectComponent implements OnInit {
    private store;
    layers: MangolLayer[];
    dictionary: FeatureinfoDictionary;
    selectedLayer$: Observable<MangolLayer>;
    constructor(store: Store<fromMangol.MangolState>);
    ngOnInit(): void;
    onSelectionChanged(evt: MatSelectChange): void;
}
