import { OnDestroy, OnInit } from '@angular/core';
import { MatSliderChange } from '@angular/material';
import { Store } from '@ngrx/store';
import { Subscription } from 'rxjs';
import { MangolLayer } from '../../../../../classes/Layer';
import * as fromMangol from './../../../../../store/mangol.reducers';
export declare class TransparencyComponent implements OnInit, OnDestroy {
    private store;
    layer: MangolLayer;
    min: number;
    max: number;
    showLabels: boolean;
    sliderStep: number;
    value: number;
    configSubscription: Subscription;
    constructor(store: Store<fromMangol.MangolState>);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onChange(evt: MatSliderChange): void;
}
