import { OnInit } from '@angular/core';
import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';
import { LayertreeDictionary } from '../../../../store/layertree/layertree.reducers';
import { LayertreeItemNode } from '../../classes/layertree-item-node.class';
import * as fromMangol from './../../../../store/mangol.reducers';
export declare class LayertreeItemComponent implements OnInit {
    private store;
    items: LayertreeItemNode[];
    level: number;
    dictionary$: Observable<LayertreeDictionary>;
    groupNodes: LayertreeItemNode[];
    layerNodes: LayertreeItemNode[];
    constructor(store: Store<fromMangol.MangolState>);
    ngOnInit(): void;
    getStyle(): {
        'margin-left': string;
    };
}
