import { Store } from '@ngrx/store';
import { OnInit } from '@angular/core';
import { MeasureDictionary, MeasureMode } from '../../../../store/measure/measure.reducers';
import { Observable } from 'rxjs';
import * as fromMangol from '../../../../store/mangol.reducers';
import { MatSelectChange } from '@angular/material';
export declare class MeasureSelectComponent implements OnInit {
    private store;
    dictionary: MeasureDictionary;
    modes$: Observable<MeasureMode[]>;
    selectedMode$: Observable<MeasureMode>;
    constructor(store: Store<fromMangol.MangolState>);
    ngOnInit(): void;
    onSelectionChanged(evt: MatSelectChange): void;
}
