import { OnDestroy, OnInit } from '@angular/core';
import { Store } from '@ngrx/store';
import { Observable, Subscription } from 'rxjs';
import * as fromMangol from './../../store/mangol.reducers';
export declare class TabsComponent implements OnInit, OnDestroy {
    private store;
    class: string;
    selectedModule$: Observable<string>;
    title$: Observable<string>;
    /** Layertree */
    hasLayertree$: Observable<boolean>;
    layertreeDisabled$: Observable<boolean>;
    layertreeTitle$: Observable<string>;
    /** FeatureInfo */
    hasFeatureinfo$: Observable<boolean>;
    featureinfoDisabled$: Observable<boolean>;
    featureinfoTitle$: Observable<string>;
    /** MeasureInfo */
    hasMeasure$: Observable<boolean>;
    measureDisabled$: Observable<boolean>;
    measureTitle$: Observable<string>;
    /** Print */
    hasPrint$: Observable<boolean>;
    printDisabled$: Observable<boolean>;
    printTitle$: Observable<string>;
    configSubscription: Subscription;
    items: string[];
    constructor(store: Store<fromMangol.MangolState>);
    ngOnInit(): void;
    ngOnDestroy(): void;
    toggleSidebar(): void;
    selectTab(tabName: string): void;
}
