import { Action } from '@ngrx/store';
import { MangolLayer } from './../../classes/Layer';
import VectorLayer from 'ol/layer/Vector';
export declare const SET_LAYERS = "[Layers] Set Layers";
export declare const SET_MEASURE_LAYER = "[Layers] Set Measure Layer";
export declare class SetLayers implements Action {
    payload: MangolLayer[];
    readonly type = "[Layers] Set Layers";
    constructor(payload: MangolLayer[]);
}
export declare class SetMeasureLayer implements Action {
    payload: VectorLayer;
    readonly type = "[Layers] Set Measure Layer";
    constructor(payload: VectorLayer);
}
export declare type LayersActions = SetLayers | SetMeasureLayer;
