import GeometryType from 'ol/geom/GeometryType';
import * as MeasureActions from './measure.actions';
export interface MeasureMode {
    type: string;
    fontIcon: string;
    fontSet: string;
    geometryName: GeometryType;
}
export interface MeasureDictionary {
    clearSelection?: string;
    chooseMode?: string;
    clickOnMap?: string;
    closeSnackbar?: string;
    line?: string;
    area?: string;
    radius?: string;
    distance?: string;
    angle?: string;
    drawStartText?: string;
    drawStartTextRadius?: string;
}
export interface State {
    hasMeasure: boolean;
    disabled: boolean;
    title: string;
    modes: MeasureMode[];
    mode: MeasureMode;
    dictionary: MeasureDictionary;
}
export declare function measureReducer(state: State, action: MeasureActions.MeasureActions): State;
